Bug 130540 - BuildRequires: qt-devel >= %{qt_version} is missing epoch tag
BuildRequires: qt-devel >= %{qt_version} is missing epoch tag
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-21 08:53 EDT by Leonid Kanter
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 05:04:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Kanter 2004-08-21 08:53:11 EDT
Description of problem:

BuildRequires: qt-devel >= %{qt_version} is missing epoch tag. Since
older versions of qt have epoch, it makes possible to build this arts
package with older versions of qt without any warnings.

Version-Release number of selected component (if applicable):

1.3.0-1

How reproducible:

always

Steps to Reproduce:

try to rebuild package on a system with qt-3.3.2-10 installed (FC2)
  
Actual results:

it will be rebuilt without warnings

Expected results:

Should show error message about unsatisfied dependency and stop.

Additional info:

It must be 
BuildRequires: qt-devel >= 1:%{qt_version}  or qt_version must be 1:3.3.3
Comment 1 Ngo Than 2004-08-23 05:04:02 EDT
it's fixed in 1.3.0-2. Thanks for your report

Note You need to log in before you can comment on or make changes to this bug.